The Store or Application Won’t Show!

Our webstore is a “web application”. As of January 2016 we have updated to be using the latest security standards.  If you are using an older web browser, you may need to consider upgrading to its latest version or use an alternative.  See below for minimum browser versions.

Some institutional internet security policies cause access problems (especially Govt & Hospitals). If updating your browser doesn’t help, try our alternate store and if that works bookmark it for convenient future use.

In this case you will also need to use the alternative store for applying for a smartcard or standard web account (via its “Register” button).

 

I’ve Forgotten My Password!

If you’ve forgotten your password, just go to our online store and click its  “Forgot Log In” button (if it is for an e.Freezer smartcard, first put your smartcard number in the “Username or Smartcard No” field).

Note: The link below goes to our normal store: if you also have access problems as per above, you will need to go to the Alternate Store instead).

 

Minimum Browser requirements

  • Internet Explorer 11+
  • Internet Explorer 9-10:  BUT you need to enable TLS 1.2 and disable SSL 2.0 in Internet Options > Advanced > Security. See Microsoft Help
  • Safari 9+
  • Firefox 27+
  • Chrome 37+
  • Opera 17+